--- old/usr/src/uts/sun4v/Makefile.targ	2013-12-14 21:35:05.950012809 -0500
+++ new/usr/src/uts/sun4v/Makefile.targ	2013-12-14 21:35:05.955716667 -0500
@@ -1,3 +1,4 @@
+#
 # CDDL HEADER START
 #
 # The contents of this file are subject to the terms of the
@@ -18,12 +19,30 @@
 #
 # CDDL HEADER END
 #
+#
+# uts/sun4v/Makefile.targ
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+#	This Makefile defines the set of all required, target containing
+# included Makefiles for the sun4v "implementation architecture".
 #
 
-UTSTREE=$(UTSBASE)
+#
+#	Targets for all implementations:
+#
+include $(UTSBASE)/Makefile.targ
 
-include $(UTSBASE)/sun4v/Makefile.targ.shared
+#
+#	Target set for sun4v (order is somewhat important, sun4 should come
+#	after sun4v)
+#
+include $(UTSBASE)/sun4/Makefile.rules
+include $(UTSBASE)/sun4v/Makefile.rules
+include $(UTSBASE)/sfmmu/Makefile.rules
+include $(UTSBASE)/sparc/v9/Makefile.rules
+include $(UTSBASE)/sparc/Makefile.rules
+include $(UTSBASE)/sun/Makefile.rules
+include $(PSMBASE)/promif/$(PROMIF)/common/Makefile.rules
+include $(PSMBASE)/promif/$(PROMIF)/sun4v/Makefile.rules
+include $(UTSBASE)/common/Makefile.rules
